<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap12/" 
				  xmlns:sep="http://www.universal-devices.com/wsdk/isy/3.0/sep" 
				  xmlns:sepo="http://www.universal-devices.com/wsdk/isy/3.0/objects/sep"
				  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
				  xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
				  name="udi-sep" targetNamespace="http://www.universal-devices.com/wsdk/isy/3.0/sep">
	<wsdl:documentation>
		Copyright 2007-2012 Universal Devices, Inc.
		All Rights Reserved

		Web Services Flag, Objects, Parameters, Messages, and Bindings for SEP Services
	</wsdl:documentation>

	<wsdl:types>
	<!-- following is used as a workaround for VS bug -->
	<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
				xmlns:sepo="http://www.universal-devices.com/wsdk/isy/3.0/objects/sep"
				xmlns:udizb="http://www.universal-devices.com/wsdk/isy/3.0/objects/zigbee"
				targetNamespace="http://www.universal-devices.com/wsdk/isy/3.0/sep"
				elementFormDefault="unqualified">

	<xsd:import namespace="http://www.universal-devices.com/wsdk/isy/3.0/objects/sep" schemaLocation="./sepobjs.xsd"/>
	


	<!-- Message Types -->
	<xsd:complexType name="Empty"/>
	<xsd:complexType name="UDIDefaultResponse">
		<xsd:sequence>
			<xsd:element name="status" minOccurs="1" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="info" minOccurs="0" maxOccurs="1" type="xsd:string"/>
		</xsd:sequence>
	</xsd:complexType>
	
	<!-- Services -->
	<xsd:element name="SEPStartDREvent" type="sepo:SEPDRObject"/>
	<xsd:element name="SEPStopDREvent" type="sepo:SEPDRStopObject"/>
	<xsd:element name="SEPDROpt" type="sepo:SEPDROptObject"/>
	
	<xsd:element name="SEPStartMessage" type="sepo:SEPMessageObject"/>
	<xsd:element name="SEPStopMessage" type="sepo:SEPMessageStopObject"/>
	<xsd:element name="SEPConfirmMessage" type="sepo:SEPConfirmMessageObject"/>
	
	<xsd:element name="SEPStartPrice" type="sepo:SEPPriceObject"/>
	<xsd:element name="SEPStopPrice" type="sepo:SEPStopPriceObject"/>
	
	<xsd:element name="SEPCancelAllDREvents" type="sepo:SEPCancelAllObject"/>
	<xsd:element name="SEPCancelAllPriceEvents" type="sepo:SEPCancelAllObject"/>
	<xsd:element name="SEPCancelAllMessageEvents" type="sepo:SEPCancelAllObject"/>
	
	<xsd:element name="UDIDefaultRespnse" type="sep:UDIDefaultResponse"/>
	
	</xsd:schema>
	</wsdl:types>


	<!-- MESSAGES -->
	<wsdl:message name="DefaultResponseMessage">
		<wsdl:part name="response" element="sep:UDIDefaultRespnse"/>
	</wsdl:message>
	
	<wsdl:message name="SEPStartDREventRequest">
		<wsdl:documentation>Starts a DR event.</wsdl:documentation>
		<wsdl:part name="SEPStartDREvent" element="sep:SEPStartDREvent"/>
	</wsdl:message>
	
	<wsdl:message name="SEPStopDREventRequest">
		<wsdl:documentation>Stops a DR event.</wsdl:documentation>
		<wsdl:part name="SEPStopDREvent" element="sep:SEPStopDREvent"/>
	</wsdl:message>

	<wsdl:message name="SEPDROptRequest">
		<wsdl:documentation>Opts in or out of a valid DR event.</wsdl:documentation>
		<wsdl:part name="SEPDROpt" element="sep:SEPDROpt"/>
	</wsdl:message>
	
	<wsdl:message name="SEPStartMessageRequest">
		<wsdl:documentation>Starts a message event.</wsdl:documentation>
		<wsdl:part name="SEPStartMessage" element="sep:SEPStartMessage"/>
	</wsdl:message>
	
	<wsdl:message name="SEPStopMessageRequest">
		<wsdl:documentation>Stops a message event.</wsdl:documentation>
		<wsdl:part name="SEPStopMessage" element="sep:SEPStopMessage"/>
	</wsdl:message>
	
	<wsdl:message name="SEPConfirmMessageRequest">
		<wsdl:documentation>Sends confirmation for a valid message that requires confirmation.</wsdl:documentation>
		<wsdl:part name="SEPConfirmMessage" element="sep:SEPConfirmMessage"/>
	</wsdl:message>
	
	<wsdl:message name="SEPStartPriceRequest">
		<wsdl:documentation>Starts a price event.</wsdl:documentation>
		<wsdl:part name="SEPStartPrice" element="sep:SEPStartPrice"/>
	</wsdl:message>
	
	<wsdl:message name="SEPStopPriceRequest">
		<wsdl:documentation>Stops a price event.</wsdl:documentation>
		<wsdl:part name="SEPStopPrie" element="sep:SEPStopPrice"/>
	</wsdl:message>
	
	<wsdl:message name="SEPCancelAllDREventsRequest">
		<wsdl:documentation>Cancels all existing DR events.</wsdl:documentation>
		<wsdl:part name="SEPCancelAllDREvents" element="sep:SEPCancelAllDREvents"/>
	</wsdl:message>
	
	<wsdl:message name="SEPCancelAllPriceEventsRequest">
		<wsdl:documentation>Cancels all existing price events.</wsdl:documentation>
		<wsdl:part name="SEPCancelAllPriceEvents" element="sep:SEPCancelAllPriceEvents"/>
	</wsdl:message>
	
	<wsdl:message name="SEPCancelAllMessageEventsRequest">
		<wsdl:documentation>Cancels all existing message events.</wsdl:documentation>
		<wsdl:part name="SEPCancelAllMessageEvents" element="sep:SEPCancelAllMessageEvents"/>
	</wsdl:message>
	
	<wsdl:portType name="UDISEPServices_PortType">
		<wsdl:operation name="SEPStartDREvent">
			<wsdl:input message="sep:SEPStartDREventRequest"/>
			<wsdl:output message="sep:DefaultResponseMessage"/>
		</wsdl:operation>
		<wsdl:operation name="SEPStopDREvent">
			<wsdl:input message="sep:SEPStopDREventRequest"/>
			<wsdl:output message="sep:DefaultResponseMessage"/>
		</wsdl:operation>
		<wsdl:operation name="SEPDROpt">
			<wsdl:input message="sep:SEPDROptRequest"/>
			<wsdl:output message="sep:DefaultResponseMessage"/>
		</wsdl:operation>
		
		<wsdl:operation name="SEPStartMessage">
			<wsdl:input message="sep:SEPStartMessageRequest"/>
			<wsdl:output message="sep:DefaultResponseMessage"/>
		</wsdl:operation>
		<wsdl:operation name="SEPStopMessage">
			<wsdl:input message="sep:SEPStopMessageRequest"/>
			<wsdl:output message="sep:DefaultResponseMessage"/>
		</wsdl:operation>
		<wsdl:operation name="SEPConfirmMessage">
			<wsdl:input message="sep:SEPConfirmMessageRequest"/>
			<wsdl:output message="sep:DefaultResponseMessage"/>
		</wsdl:operation>
		
		<wsdl:operation name="SEPStartPrice">
			<wsdl:input message="sep:SEPStartPriceRequest"/>
			<wsdl:output message="sep:DefaultResponseMessage"/>
		</wsdl:operation>
		<wsdl:operation name="SEPStopPrice">
			<wsdl:input message="sep:SEPStopPriceRequest"/>
			<wsdl:output message="sep:DefaultResponseMessage"/>
		</wsdl:operation>
		
		<wsdl:operation name="SEPCancelAllDREvents">
			<wsdl:input message="sep:SEPCancelAllDREventsRequest"/>
			<wsdl:output message="sep:DefaultResponseMessage"/>
		</wsdl:operation>
		
		<wsdl:operation name="SEPCancelAllPriceEvents">
			<wsdl:input message="sep:SEPCancelAllPriceEventsRequest"/>
			<wsdl:output message="sep:DefaultResponseMessage"/>
		</wsdl:operation>
		
		<wsdl:operation name="SEPCancelAllMessageEvents">
			<wsdl:input message="sep:SEPCancelAllMessageEventsRequest"/>
			<wsdl:output message="sep:DefaultResponseMessage"/>
		</wsdl:operation>	

	</wsdl:portType>

	<wsdl:binding name="UDISEPServices_Binding" type="sep:UDISEPServices_PortType">
		<wsdl:documentation>UDI Binding binds the concrete Port (UDI SEP Services) to the Abstract Port Type (UDISEPServices_PortType)</wsdl:documentation>
		<soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>

		<wsdl:operation name="SEPStartDREvent">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		
		<wsdl:operation name="SEPStopDREvent">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>	
		
		<wsdl:operation name="SEPDROpt">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>	
		
		<wsdl:operation name="SEPStartMessage">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		
		<wsdl:operation name="SEPStopMessage">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>	
		
		<wsdl:operation name="SEPConfirmMessage">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		
		<wsdl:operation name="SEPStartPrice">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		
		<wsdl:operation name="SEPStopPrice">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		
		<wsdl:operation name="SEPCancelAllDREvents">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>	
		
		<wsdl:operation name="SEPCancelAllPriceEvents">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>	
		
		<wsdl:operation name="SEPCancelAllMessageEvents">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>	

	</wsdl:binding>
</wsdl:definitions>
