<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap12/" 
				  xmlns:zw="http://www.universal-devices.com/wsdk/isy/1.0/zwave" 
				  xmlns:zwo="http://www.universal-devices.com/wsdk/isy/1.0/zwave/objects" 
				  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
				  xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
				  name="udi-zwave" targetNamespace="http://www.universal-devices.com/wsdk/isy/1.0/zwave">
	<wsdl:documentation>
		Copyright 2007-2014 Universal Devices, Inc.
		All Rights Reserved

		Web Services Flag, Objects, Parameters, Messages, and Bindings for Z-Wave Services
	</wsdl:documentation>

	<wsdl:types>
	<!-- following is used as a workaround for VS bug -->
	<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
			    xmlns:zwo="http://www.universal-devices.com/wsdk/isy/1.0/zwave/objects" 
				targetNamespace="http://www.universal-devices.com/wsdk/isy/1.0/zwave"
				elementFormDefault="unqualified">

	<xsd:import namespace="http://www.universal-devices.com/wsdk/isy/1.0/zwave/objects" schemaLocation="./zwobjs.xsd"/>
	
	
	<!-- Z-Wave Params -->
	<xsd:complexType name="IncludeDeviceParam">
		<xsd:annotation>
			<xsd:documentation>
				Parameters required for including a Z-Wave Device
			</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element name="power" minOccurs="1" maxOccurs="1" type="xsd:boolean">
				<xsd:annotation>
					<xsd:documentation>
						True=High Power, False=Normal Power (default)
					</xsd:documentation>	
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="nwi" minOccurs="1" maxOccurs="1" type="xsd:boolean">
				<xsd:annotation>
					<xsd:documentation>
						True=Network wide inclusion, False=Standard Inclusion (default)
					</xsd:documentation>	
				</xsd:annotation>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>	
	
		
	<xsd:complexType name="SyncParam">
		<xsd:annotation>
			<xsd:documentation>
				Synchronize ISY with info on Z-Wave dongle for the given node, specify either id or uid.
     			If neither is specified then sync all new and deleted nodes.
			</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element name="id" minOccurs="0" maxOccurs="1" type="xsd:string">
				<xsd:annotation>
					<xsd:documentation>
						The ISY node address
					</xsd:documentation>	
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="uid" minOccurs="0" maxOccurs="1" type="xsd:string">
				<xsd:annotation>
					<xsd:documentation>
						The Z-Wave Unit ID of the device
					</xsd:documentation>	
				</xsd:annotation>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>	
	
	<xsd:complexType name="FactoryResetParam">
		<xsd:annotation>
			<xsd:documentation>
				Factory reset the Z-Wave Dongle
			</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element name="force" minOccurs="0" maxOccurs="1" type="xsd:boolean">
				<xsd:annotation>
					<xsd:documentation>
						True=Force factory reset, False=Factory reset if dongle is not part of existing Z-Wave network
					</xsd:documentation>	
				</xsd:annotation>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>	
	
	<xsd:simpleType name="SetAntennaParam">
		<xsd:annotation>
			<xsd:documentation>
				 0 : Internal Antenna
     			 1 : External Antenna
			</xsd:documentation>
		</xsd:annotation>
		<xsd:restriction base="xsd:unsignedInt">
			<xsd:enumeration value="0">
				<xsd:annotation>
					<xsd:documentation>
						Internal Antenna					
					</xsd:documentation>	
				</xsd:annotation>
			</xsd:enumeration>
			<xsd:enumeration value="1">
				<xsd:annotation>
					<xsd:documentation>
						External Antenna					
					</xsd:documentation>	
				</xsd:annotation>
			</xsd:enumeration>
		</xsd:restriction>
	</xsd:simpleType>


	<!-- Message Types -->
	<xsd:complexType name="Empty"/>
	<xsd:complexType name="UDIDefaultResponseType">
		<xsd:sequence>
			<xsd:element name="status" minOccurs="1" maxOccurs="1" type="xsd:string"/>
			<xsd:element name="info" minOccurs="0" maxOccurs="1" type="xsd:string"/>
		</xsd:sequence>
	</xsd:complexType>
	
	<!-- Z-Wave Services -->
	<xsd:element name="IncludeDevice" type="zw:IncludeDeviceParam"/>
	<xsd:element name="ExcludeDevice" type="zw:Empty"/>
	<xsd:element name="ReplicateSendPrimary" type="zw:Empty"/>
	<xsd:element name="StartLearnMode" type="zw:Empty"/>
	<xsd:element name="StopIncludeExclude" type="zw:Empty"/>
	<xsd:element name="Sync" type="zw:SyncParam"/>
	<xsd:element name="SyncFull" type="zw:SyncParam"/>
	<xsd:element name="FactoryResetDongle" type="zw:FactoryResetParam"/>
	<xsd:element name="SetActiveAntenna" type="zw:SetAntennaParam"/>
	<xsd:element name="UDIDefaultRespnse" type="zw:UDIDefaultResponseType"/>
	</xsd:schema>
	</wsdl:types>


	<!-- MESSAGES -->
	<wsdl:message name="DefaultResponseMessage">
		<wsdl:part name="response" element="zw:UDIDefaultRespnse"/>
	</wsdl:message>
	
		<!-- Z-Wave -->
	<wsdl:message name="IncludeDeviceRequest">
		<wsdl:part name="IncludeDevice" element="zw:IncludeDevice"/>
	</wsdl:message>
	
	<wsdl:message name="ExcludeDeviceRequest">
		<wsdl:part name="ExcludeDevice" element="zw:ExcludeDevice"/>
	</wsdl:message>
	
	<wsdl:message name="ReplicateSendPrimaryRequest">
		<wsdl:part name="ReplicateSendPrimary" element="zw:ReplicateSendPrimary"/>
	</wsdl:message>
	
	<wsdl:message name="StartLearnModeRequest">
		<wsdl:part name="StartLearnMode" element="zw:StartLearnMode"/>
	</wsdl:message>
	
	<wsdl:message name="StopIncludeExcludeRequest">
		<wsdl:part name="StopIncludeExclude" element="zw:StopIncludeExclude"/>
	</wsdl:message>
	
	<wsdl:message name="SyncRequest">
		<wsdl:part name="Sync" element="zw:Sync"/>
	</wsdl:message>
	
	<wsdl:message name="SyncFullRequest">
		<wsdl:part name="SyncFull" element="zw:SyncFull"/>
	</wsdl:message>
	
	<wsdl:message name="FactoryResetDongleRequest">
		<wsdl:part name="FactoryResetDongle" element="zw:FactoryResetDongle"/>
	</wsdl:message>
	
	<wsdl:message name="SetActiveAntennaRequest">
		<wsdl:part name="SetActiveAntenna" element="zw:SetActiveAntenna"/>
	</wsdl:message>
	
	
	<wsdl:portType name="UDIZWaveWebServices_PortType">
	
				<!-- Z-Wave -->
			
		<wsdl:operation name="IncludeDevice">
			<wsdl:documentation>
				 Add a device into the Z-Wave network
				 power : [true|false] : True=High Power, False=Normal Power (default)
     			 nwi   : [true|false] : True=Network wide inclusion, False=Standard Inclusion
			</wsdl:documentation>
			<wsdl:input message="zw:IncludeDeviceRequest"/>
			<wsdl:output message="zw:DefaultResponseMessage"/>
		</wsdl:operation>
		
		<wsdl:operation name="ExcludeDevice">
			<wsdl:documentation>
				 Remove a device from the Z-Wave network
			</wsdl:documentation>
			<wsdl:input message="zw:ExcludeDeviceRequest"/>
			<wsdl:output message="zw:DefaultResponseMessage"/>
		</wsdl:operation>
	
		<wsdl:operation name="ReplicateSendPrimary">
			<wsdl:documentation>
				  As Primary Controller, replicate to another controller and make it the new Primary Controller
			</wsdl:documentation>
			<wsdl:input message="zw:ReplicateSendPrimaryRequest"/>
			<wsdl:output message="zw:DefaultResponseMessage"/>
		</wsdl:operation>
		
		<wsdl:operation name="StartLearnMode">
			<wsdl:documentation>
				 Go into Z-Wave learn mode (to replicate, be added/removed from Z-Wave network, etc.)
			</wsdl:documentation>
			<wsdl:input message="zw:StartLearnModeRequest"/>
			<wsdl:output message="zw:DefaultResponseMessage"/>
		</wsdl:operation>
		
		<wsdl:operation name="StopIncludeExclude">
			<wsdl:documentation>
				Cancel include/exclude/replication
			</wsdl:documentation>
			<wsdl:input message="zw:StopIncludeExcludeRequest"/>
			<wsdl:output message="zw:DefaultResponseMessage"/>
		</wsdl:operation>
	
		<wsdl:operation name="Sync">
			<wsdl:documentation>
   				Synchronize ISY with info on Z-Wave dongle for the given node, specify either id or uid.
     			If neither is specified then sync all new and deleted nodes.
			   	id  : The ISY node address
   			   	uid : The Z-Wave unit ID of the device
			</wsdl:documentation>
			<wsdl:input message="zw:SyncRequest"/>
			<wsdl:output message="zw:DefaultResponseMessage"/>
		</wsdl:operation>
	
		<wsdl:operation name="SyncFull">
			<wsdl:documentation>
   				Synchronize ISY with info on Z-Wave dongle for the given node, specify either id or uid.
     			If neither is specified then sync all nodes.
			   	id  : The ISY node address
   			   	uid : The Z-Wave unit ID of the device
			</wsdl:documentation>
			<wsdl:input message="zw:SyncFullRequest"/>
			<wsdl:output message="zw:DefaultResponseMessage"/>
		</wsdl:operation>
	
		<wsdl:operation name="FactoryResetDongle">
			<wsdl:documentation>
     			Factory reset the Z-Wave dongle
       			force : [true|false] : True=Force factory reset, False=Factory reset if dongle is not part of existing Z-Wave network
			</wsdl:documentation>
			<wsdl:input message="zw:FactoryResetDongleRequest"/>
			<wsdl:output message="zw:DefaultResponseMessage"/>
		</wsdl:operation>
		
		<wsdl:operation name="SetActiveAntenna">
			<wsdl:documentation>
     			Set Active Antenna
     		    0 : Internal Antenna
    			1 : External Antenna
			</wsdl:documentation>
			<wsdl:input message="zw:SetActiveAntennaRequest"/>
			<wsdl:output message="zw:DefaultResponseMessage"/>
		</wsdl:operation>
	</wsdl:portType>

	<wsdl:binding name="UDIZWaveServices_Binding" type="zw:UDIZWaveWebServices_PortType">
		<wsdl:documentation>UDI Binding binds the concrete Port (UDI ZWave Services) to the Abstract Port Type (UDIZWaveServices_PortType)</wsdl:documentation>
		<soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>

			<!--  Z-Wave -->					
		<wsdl:operation name="IncludeDevice">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>		
		</wsdl:operation>	
		
		<wsdl:operation name="ExcludeDevice">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>		
		</wsdl:operation>	
		
		<wsdl:operation name="ReplicateSendPrimary">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>		
		</wsdl:operation>	
		
		<wsdl:operation name="StartLearnMode">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>		
		</wsdl:operation>	
		
		<wsdl:operation name="StopIncludeExclude">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>		
		</wsdl:operation>	
		
		<wsdl:operation name="Sync">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>		
		</wsdl:operation>	
		
		<wsdl:operation name="SyncFull">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>		
		</wsdl:operation>	
		
		<wsdl:operation name="FactoryResetDongle">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>		
		</wsdl:operation>	
		
		<wsdl:operation name="SetActiveAntenna">
			<soap:operation style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>		
		</wsdl:operation>	
	</wsdl:binding>
</wsdl:definitions>
